/**
 * 
 */
package edu.uiuc.ncsa.cet.bean.paw;

import java.util.Date;
import java.util.List;

import edu.uiuc.ncsa.cet.bean.CETBean;
import edu.uiuc.ncsa.cet.bean.PersonBean;
import edu.uiuc.ncsa.cet.bean.workflow.WorkflowBean;

/**
 * Definition of an active workflow published to the web. Only specific inputs,
 * outputs and parameters are exposed on the web. Input widgets and output
 * visualization are configured to meaningfully expose inputs and visualize
 * outputs.
 * 
 * @author Luigi Marini <lmarini@ncsa.illinois.edu>
 * 
 */
@SuppressWarnings("serial")
public class PublishedWorkflow extends CETBean {

    /** Pretty name **/
    private String                           title;

    /** Long description **/
    private String                           description;

    /** Date when it was created **/
    private Date                             dateCreated;

    /** User who created it **/
    private PersonBean                       creator;

    /** Underlying workflow **/
    private WorkflowBean                     workflow;

    /** List of configured input widgets **/
    private List<InputConfiguration>         inputs;

    /** List of configured visualizations **/
    private List<VisualizationConfiguration> visualizations;

    public PublishedWorkflow() {
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Date getDateCreated() {
        return dateCreated;
    }

    public void setDateCreated(Date dateCreated) {
        this.dateCreated = dateCreated;
    }

    public PersonBean getCreator() {
        return creator;
    }

    public void setCreator(PersonBean creator) {
        this.creator = creator;
    }

    public WorkflowBean getWorkflow() {
        return workflow;
    }

    public void setWorkflow(WorkflowBean workflow) {
        this.workflow = workflow;
    }

    public List<InputConfiguration> getInputs() {
        return inputs;
    }

    public void setInputs(List<InputConfiguration> inputWidgets) {
        this.inputs = inputWidgets;
    }

    public List<VisualizationConfiguration> getVisualizations() {
        return visualizations;
    }

    public void setVisualizations(List<VisualizationConfiguration> visualizations) {
        this.visualizations = visualizations;
    }

}
